#ifndef CBRIDGE_H
#define CBRIDGE_H

#include <QObject>
#include <QQuickImageProvider>
#include "../common/sources/system/cmaths.h"

//---------------------------------------------------------------------------------------------
class CBridge : public QObject
{
    Q_OBJECT

public:
    explicit CBridge(QObject *parent = 0);

    Q_INVOKABLE void    setMouse(qint32 x, qint32 y, qint32 windowWidth, qint32 windowHeight);
    Q_INVOKABLE void    setMousePress(qint32 button);
    Q_INVOKABLE void    setMouseRelease(qint32 button);

    CVec2       mMousePos;
    bool        mMouseButton;
};

//---------------------------------------------------------------------------------------------
class MyImageProvider : public QQuickImageProvider
{
public:
    MyImageProvider();
    QImage requestImage(const QString &id, QSize *size, const QSize &requestedSize);
};

extern CBridge     bridge;

#endif // CBRIDGE_H
